# Uses of Class
org.eclipse.jdt.core.dom.ModuleModifier.ModuleModifierKeyword

Packages that use ModuleModifier.ModuleModifierKeyword
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of ModuleModifier.ModuleModifierKeyword in org.eclipse.jdt.core.dom

Fields in org.eclipse.jdt.core.dom declared as ModuleModifier.ModuleModifierKeyword
Modifier and Type
Field
Description
`static final ModuleModifier.ModuleModifierKeyword`
ModuleModifier.ModuleModifierKeyword.`STATIC_KEYWORD`
"static" modifier with flag value `ModuleModifier.STATIC_PHASE`.
`static final ModuleModifier.ModuleModifierKeyword`
ModuleModifier.ModuleModifierKeyword.`TRANSITIVE_KEYWORD`
"transitive" modifier with flag value `ModuleModifier.TRANSITIVE`.
Methods in org.eclipse.jdt.core.dom that return ModuleModifier.ModuleModifierKeyword
Modifier and Type
Method
Description
`static ModuleModifier.ModuleModifierKeyword`
ModuleModifier.ModuleModifierKeyword.`fromFlagValue(int flagValue)`
Returns the module modifier corresponding to the given single-bit flag value, or `null` if none or if more than one bit is set.
`ModuleModifier.ModuleModifierKeyword`
ModuleModifier.`getKeyword()`
Returns the modifier keyword of this modifier node.
`static ModuleModifier.ModuleModifierKeyword`
ModuleModifier.ModuleModifierKeyword.`toKeyword(String keyword)`
Returns the module modifier corresponding to the given string, or `null` if none.
Methods in org.eclipse.jdt.core.dom with parameters of type ModuleModifier.ModuleModifierKeyword
Modifier and Type
Method
Description
`ModuleModifier`
AST.`newModuleModifier(ModuleModifier.ModuleModifierKeyword keyword)`
Creates and returns a new unparented module modifier node for the given module modifier.
`void`
ModuleModifier.`setKeyword(ModuleModifier.ModuleModifierKeyword modifierKeyord)`
Sets the module modifier keyword of this module modifier node.